View Issue Details

IDProjectCategoryView StatusLast Update
0004617SymmetricDSBugpublic2020-11-20 15:45
ReportersunnySym Assigned To 
Prioritynormal 
Status newResolutionopen 
Product Version3.12.3 
Summary0004617: Corrupted row data during extract
Description2020-11-02 13:19:03,059 INFO [client-001] [DataExtractorService] [client-001-dataextractor-2] Re-attempting extraction for batch 41425 with contains_big_lobs temporarily enabled for channel sow
2020-11-02 13:19:03,638 ERROR [client-001] [DataExtractorService] [client-001-push-default-1] Failed to extract batch 999-41425 StackTraceKey.init [ProtocolException:1049997817] org.jumpmind.symmetric.io.data.ProtocolException: The extracted row for table table2 had 9 columns but expected 10. Corrupted row for data ID 76024523: "..."
    at org.jumpmind.symmetric.service.impl.DataExtractorService$SelectFromSymDataSource.next(DataExtractorService.java:2645)
    at org.jumpmind.symmetric.io.data.reader.ExtractDataReader.nextData(ExtractDataReader.java:134)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:199)
    at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:178)
    at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:124)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extractOutgoingBatch(DataExtractorService.java:1089)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extractBatch(DataExtractorService.java:949)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.lambda$extract$1(DataExtractorService.java:707)
    at java.util.concurrent.FutureTask.run(FutureTask.java:266)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)

2020-11-02 13:19:03,717 INFO [client-002] [RouterService] [client-002-job-6] Routed 192 data events in 982 ms
2020-11-02 13:19:03,753 INFO [client-001] [PushService] [client-001-push-default-1] Push data sent to masterbackup:999:999
2020-11-02 13:19:03,758 WARN [client-001] [DataExtractorService] [client-001-dataextractor-1] The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
2020-11-02 13:19:03,759 INFO [client-001] [DataExtractorService] [client-001-dataextractor-1] Re-attempting extraction for batch 41426 with contains_big_lobs temporarily enabled for channel sow
2020-11-02 13:19:04,271 ERROR [client-001] [DataExtractorService] [client-001-push-default-2] Failed to extract batch 000-41426 StackTraceKey [ProtocolException:1049997817]
2020-11-02 13:19:04,272 INFO [client-001] [PushService] [client-001-push-default-2] Push data sent to server:000:000
2020-11-02 13:19:06,769 INFO [client-002] [RouterService] [client-002-job-17] Routed 120 data events in 894 ms
2020-11-02 13:19:16,273 INFO [client-002] [RouterService] [client-002-job-4] Routed 96 data events in 883 ms
2020-11-02 13:19:17,222 INFO [server-000] [DataLoaderService] [qtp961160488-18] 5568 data and 60 batches loaded during push request from client:001:001
2020-11-02 13:19:18,337 INFO [client-001] [RouterService] [client-001-job-2] Routed 96 data events in 979 ms
2020-11-02 13:19:19,099 INFO [client-002] [PushService] [client-002-push-default-2] Pushed data to node server:000:000. 3804 data and 60 batches were processed. (table1)
2020-11-02 13:19:21,479 INFO [client-001] [RouterService] [client-001-job-6] Routed 96 data events in 1020 ms
2020-11-02 13:19:21,910 INFO [client-002] [RouterService] [client-002-job-5] Routed 192 data events in 1368 ms
2020-11-02 13:19:25,027 INFO [client-002] [RouterService] [client-002-job-6] Routed 96 data events in 998 ms
2020-11-02 13:19:26,721 INFO [client-001] [RouterService] [client-001-job-17] Routed 96 data events in 950 ms
2020-11-02 13:19:28,400 INFO [client-002] [RouterService] [client-002-job-17] Routed 216 data events in 1240 ms
2020-11-02 13:19:31,355 INFO [masterbackup-999] [DataLoaderService] [qtp961160488-14] 3804 data and 60 batches loaded during push request from client:002:002
2020-11-02 13:19:31,863 INFO [client-001] [RouterService] [client-001-job-10] Routed 96 data events in 854 ms
2020-11-02 13:19:32,017 INFO [client-002] [RouterService] [client-002-job-17] Routed 120 data events in 1514 ms
2020-11-02 13:19:34,913 INFO [client-001] [RouterService] [client-001-job-12] Routed 96 data events in 941 ms
2020-11-02 13:19:35,580 INFO [client-001] [PushService] [client-001-push-default-2] Pushed data to node server:000:000. 5568 data and 60 batches were processed. (table1)
2020-11-02 13:19:37,350 INFO [client-002] [RouterService] [client-002-job-7] Routed 96 data events in 965 ms
2020-11-02 13:19:42,517 INFO [client-001] [RouterService] [client-001-job-7] Routed 96 data events in 1087 ms
2020-11-02 13:19:43,126 INFO [client-002] [RouterService] [client-002-job-7] Routed 96 data events in 1458 ms
2020-11-02 13:19:43,889 INFO [masterbackup-999] [DataLoaderService] [qtp961160488-33] 5568 data and 60 batches loaded during push request from client:001:001
2020-11-02 13:19:50,741 INFO [client-002] [RouterService] [client-002-job-18] Routed 96 data events in 1006 ms
2020-11-02 13:19:53,077 INFO [client-002] [PushService] [client-002-push-default-1] Pushed data to node masterbackup:999:999. 3804 data and 60 batches were processed. (table1)
2020-11-02 13:19:53,960 INFO [client-002] [OutgoingBatchService] [client-002-push-default-2] Selecting 50000 outgoing batch rows for node 000 on queue 'default' took 34861 ms
2020-11-02 13:19:56,200 INFO [client-002] [RouterService] [client-002-job-16] Routed 120 data events in 1095 ms
2020-11-02 13:20:04,935 INFO [client-001] [PushService] [client-001-push-default-1] Pushed data to node masterbackup:999:999. 5568 data and 60 batches were processed. (table1)
2020-11-02 13:20:06,067 INFO [client-002] [RouterService] [client-002-job-10] Routed 192 data events in 1133 ms
2020-11-02 13:20:08,987 INFO [client-001] [OutgoingBatchService] [client-001-push-default-2] Selecting 50000 outgoing batch rows for node 000 on queue 'default' took 33407 ms
2020-11-02 13:20:09,525 INFO [client-002] [RouterService] [client-002-job-8] Routed 120 data events in 1326 ms
2020-11-02 13:20:10,463 INFO [server-000] [RouterService] [server-000-job-1] Routed 2 data events in 55 ms
2020-11-02 13:20:15,321 INFO [server-000] [PushService] [server-000-push-default-9] Push data sent to masterbackup:999:999
2020-11-02 13:20:15,397 INFO [masterbackup-999] [DataLoaderService] [qtp961160488-162] 1 data and 1 batches loaded during push request from server:000:000
2020-11-02 13:20:15,406 INFO [server-000] [PushService] [server-000-push-default-9] Pushed data to node masterbackup:999:999. 1 data and 1 batches were processed. (sym_node_host)
2020-11-02 13:20:17,575 INFO [client-002] [RouterService] [client-002-job-1] Routed 96 data events in 1523 ms
2020-11-02 13:20:18,774 INFO [client-001] [RouterService] [client-001-job-6] Routed 96 data events in 1028 ms
2020-11-02 13:20:20,966 INFO [client-002] [RouterService] [client-002-job-11] Routed 192 data events in 1240 ms
2020-11-02 13:20:21,859 INFO [client-001] [RouterService] [client-001-job-7] Routed 96 data events in 963 ms
2020-11-02 13:20:24,132 INFO [client-002] [RouterService] [client-002-job-12] Routed 96 data events in 984 ms
2020-11-02 13:20:27,169 INFO [client-001] [RouterService] [client-001-job-8] Routed 96 data events in 972 ms
2020-11-02 13:20:27,497 INFO [client-002] [RouterService] [client-002-job-12] Routed 96 data events in 1217 ms
2020-11-02 13:20:27,915 INFO [client-002] [OutgoingBatchService] [client-002-push-default-1] Selecting 50000 outgoing batch rows for node 999 on queue 'default' took 34838 ms
2020-11-02 13:20:28,108 INFO [client-002] [PushService] [client-002-push-default-2] Push data sent to server:000:000
2020-11-02 13:20:28,343 INFO [server-000] [DataLoaderService] [qtp961160488-33] 3960 data and 60 batches loaded during push request from client:002:002
2020-11-02 13:20:30,700 INFO [client-002] [RouterService] [client-002-job-7] Routed 240 data events in 1070 ms
2020-11-02 13:20:32,471 INFO [client-001] [RouterService] [client-001-job-3] Routed 96 data events in 975 ms
2020-11-02 13:20:35,656 INFO [client-001] [RouterService] [client-001-job-11] Routed 96 data events in 1069 ms
2020-11-02 13:20:36,002 INFO [client-002] [RouterService] [client-002-job-3] Routed 96 data events in 1016 ms
2020-11-02 13:20:38,028 INFO [client-001] [OutgoingBatchService] [client-001-push-default-1] Selecting 50000 outgoing batch rows for node 999 on queue 'default' took 33093 ms
2020-11-02 13:20:41,055 INFO [client-001] [RouterService] [client-001-job-14] Routed 96 data events in 1017 ms
2020-11-02 13:20:41,854 ERROR [client-001] [DataExtractorService] [client-001-push-default-2] Failed to extract batch 000-41426 StackTraceKey.init [IllegalStateException:1180634816] java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
    at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
    at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
    at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
    at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)

2020-11-02 13:20:41,856 INFO [client-001] [PushService] [client-001-push-default-2] Push data sent to server:000:000
2020-11-02 13:20:42,005 INFO [server-000] [DataLoaderService] [qtp961160488-14] 5521 data and 61 batches loaded during push request from client:001:001
2020-11-02 13:20:42,052 WARN [client-001] [DataExtractorService] [client-001-dataextractor-3] The extracted row for table t had 9 table2 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
2020-11-02 13:20:42,052 INFO [client-001] [DataExtractorService] [client-001-dataextractor-3] Re-attempting extraction for batch 41436 with contains_big_lobs temporarily enabled for channel sow
2020-11-02 13:20:43,457 INFO [client-002] [RouterService] [client-002-job-4] Routed 96 data events in 968 ms
2020-11-02 13:20:46,266 INFO [client-002] [PushService] [client-002-push-default-2] Pushed data to node server:000:000. 3960 data and 60 batches were processed. (table1)
2020-11-02 13:20:51,007 INFO [client-002] [RouterService] [client-002-job-10] Routed 96 data events in 1063 ms
2020-11-02 13:20:56,477 INFO [client-002] [RouterService] [client-002-job-17] Routed 120 data events in 1150 ms
2020-11-02 13:20:58,254 INFO [client-002] [PushService] [client-002-push-default-1] Push data sent to masterbackup:999:999
2020-11-02 13:21:01,920 INFO [client-001] [PushService] [client-001-push-default-2] Pushed data to node server:000:000. 5521 data and 61 batches were processed. (sym_node_host, table1)
2020-11-02 13:21:04,349 INFO [client-002] [RouterService] [client-002-job-5] Routed 192 data events in 1321 ms










Dieser Error interessiert mich sehr:
2020-11-02 13:20:41,854 ERROR [client-001] [DataExtractorService] [client-001-push-default-2] Failed to extract batch 000-41426 StackTraceKey.init [IllegalStateException:1180634816] java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
    at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
    at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
    at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
    at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)
TagsNo tags attached.

Activities

sunnySym

2020-11-02 13:04

reporter   ~0001816

[client-001] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 999-41425 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/999/0000041425.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

[client-001] - DataExtractorService - Failed to extract batch 000-41426 java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
        at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
        at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
        at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
        at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
        at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

sunnySym

2020-11-02 14:46

reporter   ~0001817

[] - DataService - There was a mismatch between the data table name data_table and the trigger_hist table name sym_node_group for data_id 510914744. Attempting to look up a valid trigger_hist row by table name

elong

2020-11-04 18:28

developer   ~0001818

The IllegalStateException is fixed in issue 0004547 if you upgrade to 3.12.4.

Does table2 have a CLOB or BLOB on it?

What database platform are you using?

sunnySym

2020-11-04 20:43

reporter   ~0001821

Oh thank you. Yeah I upgraded the version to 3.12.4

I work with postgreSQL.

And yes table 2 has a column with characters. It’s called note.

sunnySym

2020-11-05 12:20

reporter   ~0001822

I cannot find a solution for this. Or do you mean that the solution is to upgrade to version 3.12.4? Or is the solution to downgrade to 3.12.3?

2020-11-02 13:20:42,052 WARN [client-001] [DataExtractorService] [client-001-dataextractor-3] The extracted row for table t had 9 table2 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.

[client-002] - DataExtractorService - The batch 000-53449 appears corrupt in staging, so removing it. (The extracted row for table table2 had 9 columns but expected 10. Corrupted row for data ID 512029763: "b84b3ea9-903a-47c4-a0d6-7e80d9828044","2019-07-29 01:00:00.000000 +02:00","2019-08-07 02:00:00.000000 +02:00",,"011b3e1c-cf06-4e1a-b01b-73ec2f1bf4d1","code",,"1",)

 DataService - There was a mismatch between the data table name sensor_data and the trigger_hist table name sym_node_group for data_id 512185629. Attempting to look up a valid trigger_hist row by table name

sunnySym

2020-11-05 13:55

reporter   ~0001823

use_capture_logs in sym_trigger are all on 0

elong

2020-11-11 18:37

developer   ~0001829

We have seen this happen where the sym_trigger_hist entry has a reason code of H, which is when routing had to generate the entry when it couldn't find a trigger hist. A table with the same name exists in another catalog/schema but with a different table definition, and it selects the wrong table for the trigger hist. One way to avoid the whole problem is to specify the source catalog and schema name on the sym_trigger configuration.

sunnySym

2020-11-13 13:36

reporter   ~0001830

Ah ok, thank you.

You mean in the configuration file through which the triggers are created?
Like this?
-- Triggers for tables on "event_code" channel
insert into sym_trigger
(trigger_id,source_table_name,channel_id,last_update_time,create_time)
values('event_code','public.event_code','event_code',current_timestamp,current_timestamp);

sunnySym

2020-11-13 14:13

reporter   ~0001831

I changed there the schema to public. This is the schema where the tables are.
image.png (11,974 bytes)   
image.png (11,974 bytes)   

sunnySym

2020-11-13 17:11

reporter   ~0001832

Ok I could fix some problems. I have added the schema name. But I still have 2 tables where I can't get rid of the H. Because of this I also have 3 trigger_hist entries from the same trigger. Do you have a solution for me?
In the source_catalog_name i have to write the Name of the Client which sends the data to the server, or?

sunnySym

2020-11-13 20:57

reporter   ~0001834

[client-002] - DataExtractorService - The extracted row for table table1 had 10 columns but expected 17. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-002] - DataExtractorService - The batch 000-4 appears corrupt in staging, so removing it. (The extracted row for table table1 had 10 columns but expected 17. Corrupted row for data ID 510937790: "a8bc3426-1085-412e-bb80-47bda5f240a1","2020-11-02 15:44:07.000000","963.047","24.5469","80.6504","25.3726","4.30469","23.8569","0.584991","555765")
[client-002] - DataExtractorService - The extracted row for table table2 had 9 columns but expected 10. If this happens often, it might be better to isolate the table with sym_channel.contains_big_lobs enabled.
[client-002] - DataExtractorService - The batch 999-53448 appears corrupt in staging, so removing it. (The extracted row for table table2 had 9 columns but expected 10. Corrupted row for data ID 512029763: "b84b3ea9-903a-47c4-a0d6-7e80d9828044","2019-07-29 01:00:00.000000 +02:00","2019-08-07 02:00:00.000000 +02:00",,"011b3e1c-cf06-4e1a-b01b-73ec2f1bf4d1","text",,"1",)

sunnySym

2020-11-16 09:19

reporter   ~0001836

[] - DataService - There was a mismatch between the data table name table1 and the trigger_hist table name sym_node_group for data_id 526079571. Attempting to look up a valid trigger_hist row by table name

sunnySym

2020-11-16 09:27

reporter   ~0001837

I seriously consider going back to version 3.12.3... but unfortunately I had problems with :

2020-11-02 13:20:41,854 ERROR [client-001] [DataExtractorService] [client-001-push-default-2] Failed to extract batch 000-41426 StackTraceKey.init [IllegalStateException:1180634816] java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
    at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
    at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
    at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
    at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)

Or is the paid version more reliable?
I slowly but surely need a solution...
The tables are not synchronized...
Can anybody help me?

sunnySym

2020-11-16 09:27

reporter   ~0001838

I seriously consider going back to version 3.12.3... but unfortunately I had problems with :

2020-11-02 13:20:41,854 ERROR [client-001] [DataExtractorService] [client-001-push-default-2] Failed to extract batch 000-41426 StackTraceKey.init [IllegalStateException:1180634816] java.lang.IllegalStateException: There is no content to read. Memory buffer was empty and /home/brunst/SymmetricDS_Brunsterkennung/symmetric-server-3.12.3/tmp/client-001/outgoing/000/0000041426.done was not found.
    at org.jumpmind.symmetric.io.stage.StagedResource.getReader(StagedResource.java:246)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.transferFromStaging(DataExtractorService.java:1481)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.sendOutgoingBatch(DataExtractorService.java:1440)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:789)
    at org.jumpmind.symmetric.service.impl.DataExtractorService.extract(DataExtractorService.java:577)
    at org.jumpmind.symmetric.service.impl.PushService.pushToNode(PushService.java:206)
    at org.jumpmind.symmetric.service.impl.PushService.execute(PushService.java:167)
    at org.jumpmind.symmetric.service.impl.NodeCommunicationService$1.run(NodeCommunicationService.java:519)
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
    at java.lang.Thread.run(Thread.java:748)

Or is the paid version more reliable?
I slowly but surely need a solution...
The tables are not synchronized...
Can anybody help me?

sunnySym

2020-11-16 12:17

reporter   ~0001839

[server-000] - ManageIncomingBatchListener - Failed to parse batch 002-376095 org.jumpmind.exception.ParseException: The (sym_node_group) table's column count (5) does not match the data's column count (10)
        at org.jumpmind.symmetric.io.data.writer.AbstractDatabaseWriter.write(AbstractDatabaseWriter.java:174)
        at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
        at org.jumpmind.symmetric.model.ProcessInfoDataWriter.write(ProcessInfoDataWriter.java:84)
        at org.jumpmind.symmetric.io.data.writer.NestedDataWriter.write(NestedDataWriter.java:64)
        at org.jumpmind.symmetric.io.data.writer.TransformWriter.write(TransformWriter.java:202)
        at org.jumpmind.symmetric.io.data.DataProcessor.forEachDataInTable(DataProcessor.java:212)
        at org.jumpmind.symmetric.io.data.DataProcessor.forEachTableInBatch(DataProcessor.java:178)
        at org.jumpmind.symmetric.io.data.DataProcessor.process(DataProcessor.java:124)
        at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1085)
        at org.jumpmind.symmetric.service.impl.DataLoaderService$LoadIntoDatabaseOnArrivalListener$2.call(DataLoaderService.java:1061)
        at java.util.concurrent.FutureTask.run(FutureTask.java:266)
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
        at java.lang.Thread.run(Thread.java:748)

elong

2020-11-18 18:36

developer   ~0001843

Last edited: 2020-11-18 18:36

View 2 revisions

Specify the source_schema_name, like this:

insert into sym_trigger
(trigger_id,source_schema_name,source_table_name,channel_id,last_update_time,create_time)
values('event_code','public','event_code','event_code',current_timestamp,current_timestamp);

That fixes it going forward, but you might have to ignore batches and reload that table.

sunnySym

2020-11-19 13:49

reporter   ~0001847

I have found old triggers which refer to an old table. Thats the problem.
But I can't find everything..
When I create a new table. Where is something created for the table everywhere?
Where do I have to search to delete everything from an old table that no longer exists.

sunnySym

2020-11-20 15:45

reporter   ~0001852

I fixed alle of the Problems above by delete all triggers and functions of all engines and installed the symmetricds new.

I have only one Prolem, but my data will be synchronized.

[client-002] - PushService - Expected but did not receive an ack for batch 999-11801. This could be because the batch is corrupt - removing the batch from staging.

Issue History

Date Modified Username Field Change
2020-11-02 12:49 sunnySym New Issue
2020-11-02 13:04 sunnySym Note Added: 0001816
2020-11-02 14:46 sunnySym Note Added: 0001817
2020-11-04 18:28 elong Note Added: 0001818
2020-11-04 18:29 elong Status new => feedback
2020-11-04 18:29 elong Summary Daten können nicht synchronisiert werden. Was bedeutet dieser Error? Why would table1 not be synchronized? => Corrupted row data during extract
2020-11-04 20:43 sunnySym Note Added: 0001821
2020-11-04 20:43 sunnySym Status feedback => new
2020-11-05 12:20 sunnySym Note Added: 0001822
2020-11-05 13:55 sunnySym Note Added: 0001823
2020-11-11 18:37 elong Note Added: 0001829
2020-11-13 13:36 sunnySym Note Added: 0001830
2020-11-13 14:13 sunnySym Note Added: 0001831
2020-11-13 14:13 sunnySym File Added: image.png
2020-11-13 17:11 sunnySym Note Added: 0001832
2020-11-13 20:57 sunnySym Note Added: 0001834
2020-11-16 09:19 sunnySym Note Added: 0001836
2020-11-16 09:27 sunnySym Note Added: 0001837
2020-11-16 09:27 sunnySym Note Added: 0001838
2020-11-16 12:17 sunnySym Note Added: 0001839
2020-11-18 18:36 elong Note Added: 0001843
2020-11-18 18:36 elong Note Edited: 0001843 View Revisions
2020-11-19 13:49 sunnySym Note Added: 0001847
2020-11-20 15:45 sunnySym Note Added: 0001852